<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Billing\V20180709\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 当前资源命中公摊规则信息
 *
 * @method integer getRuleId() 获取公摊规则ID
 * @method void setRuleId(integer $RuleId) 设置公摊规则ID
 * @method string getRuleName() 获取公摊规则名称
 * @method void setRuleName(string $RuleName) 设置公摊规则名称
 */
class AllocationRule extends AbstractModel
{
    /**
     * @var integer 公摊规则ID
     */
    public $RuleId;

    /**
     * @var string 公摊规则名称
     */
    public $RuleName;

    /**
     * @param integer $RuleId 公摊规则ID
     * @param string $RuleName 公摊规则名称
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("RuleId",$param) and $param["RuleId"] !== null) {
            $this->RuleId = $param["RuleId"];
        }

        if (array_key_exists("RuleName",$param) and $param["RuleName"] !== null) {
            $this->RuleName = $param["RuleName"];
        }
    }
}
