<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Cls\V20201016\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 自建k8s-工作负载信息
 *
 * @method string getKind() 获取工作负载的类型
 * @method void setKind(string $Kind) 设置工作负载的类型
 * @method string getName() 获取工作负载的名称
 * @method void setName(string $Name) 设置工作负载的名称
 * @method string getContainer() 获取容器名
 * @method void setContainer(string $Container) 设置容器名
 * @method string getNamespace() 获取命名空间
 * @method void setNamespace(string $Namespace) 设置命名空间
 */
class ContainerWorkLoadInfo extends AbstractModel
{
    /**
     * @var string 工作负载的类型
     */
    public $Kind;

    /**
     * @var string 工作负载的名称
     */
    public $Name;

    /**
     * @var string 容器名
     */
    public $Container;

    /**
     * @var string 命名空间
     */
    public $Namespace;

    /**
     * @param string $Kind 工作负载的类型
     * @param string $Name 工作负载的名称
     * @param string $Container 容器名
     * @param string $Namespace 命名空间
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Kind",$param) and $param["Kind"] !== null) {
            $this->Kind = $param["Kind"];
        }

        if (array_key_exists("Name",$param) and $param["Name"] !== null) {
            $this->Name = $param["Name"];
        }

        if (array_key_exists("Container",$param) and $param["Container"] !== null) {
            $this->Container = $param["Container"];
        }

        if (array_key_exists("Namespace",$param) and $param["Namespace"] !== null) {
            $this->Namespace = $param["Namespace"];
        }
    }
}
