<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Gs\V20191118\Models;
use TencentCloud\Common\AbstractModel;

/**
 * ModifyAndroidInstancesResources请求参数结构体
 *
 * @method array getAndroidInstanceIds() 获取安卓实例 ID 列表（最大100条数据）
 * @method void setAndroidInstanceIds(array $AndroidInstanceIds) 设置安卓实例 ID 列表（最大100条数据）
 * @method integer getMemoryQuota() 获取内存配额（单位 MB）
 * @method void setMemoryQuota(integer $MemoryQuota) 设置内存配额（单位 MB）
 */
class ModifyAndroidInstancesResourcesRequest extends AbstractModel
{
    /**
     * @var array 安卓实例 ID 列表（最大100条数据）
     */
    public $AndroidInstanceIds;

    /**
     * @var integer 内存配额（单位 MB）
     */
    public $MemoryQuota;

    /**
     * @param array $AndroidInstanceIds 安卓实例 ID 列表（最大100条数据）
     * @param integer $MemoryQuota 内存配额（单位 MB）
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("AndroidInstanceIds",$param) and $param["AndroidInstanceIds"] !== null) {
            $this->AndroidInstanceIds = $param["AndroidInstanceIds"];
        }

        if (array_key_exists("MemoryQuota",$param) and $param["MemoryQuota"] !== null) {
            $this->MemoryQuota = $param["MemoryQuota"];
        }
    }
}
