<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Iotexplorer\V20190423\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeFirmwareUpdateStatus请求参数结构体
 *
 * @method string getProductId() 获取产品 ID。
 * @method void setProductId(string $ProductId) 设置产品 ID。
 * @method string getDeviceName() 获取设备名。
 * @method void setDeviceName(string $DeviceName) 设置设备名。
 */
class DescribeFirmwareUpdateStatusRequest extends AbstractModel
{
    /**
     * @var string 产品 ID。
     */
    public $ProductId;

    /**
     * @var string 设备名。
     */
    public $DeviceName;

    /**
     * @param string $ProductId 产品 ID。
     * @param string $DeviceName 设备名。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("ProductId",$param) and $param["ProductId"] !== null) {
            $this->ProductId = $param["ProductId"];
        }

        if (array_key_exists("DeviceName",$param) and $param["DeviceName"] !== null) {
            $this->DeviceName = $param["DeviceName"];
        }
    }
}
