<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Lcic\V20220817\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 转存配置
 *
 * @method integer getState() 获取转存状态， 1正常 2停用
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setState(integer $State) 设置转存状态， 1正常 2停用
注意：此字段可能返回 null，表示取不到有效值。
 */
class TransferItem extends AbstractModel
{
    /**
     * @var integer 转存状态， 1正常 2停用
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $State;

    /**
     * @param integer $State 转存状态， 1正常 2停用
注意：此字段可能返回 null，表示取不到有效值。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("State",$param) and $param["State"] !== null) {
            $this->State = $param["State"];
        }
    }
}
