<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Lighthouse\V20200324\Models;
use TencentCloud\Common\AbstractModel;

/**
 * ResetFirewallTemplateRules请求参数结构体
 *
 * @method string getTemplateId() 获取防火墙模板ID。可通过 [DescribeFirewallTemplates](https://cloud.tencent.com/document/product/1207/96874) 接口返回值中的 TemplateId	获取。
 * @method void setTemplateId(string $TemplateId) 设置防火墙模板ID。可通过 [DescribeFirewallTemplates](https://cloud.tencent.com/document/product/1207/96874) 接口返回值中的 TemplateId	获取。
 * @method array getTemplateRules() 获取重置后的防火墙模板规则列表。每次请求批量防火墙规则的上限为 100。
 * @method void setTemplateRules(array $TemplateRules) 设置重置后的防火墙模板规则列表。每次请求批量防火墙规则的上限为 100。
 */
class ResetFirewallTemplateRulesRequest extends AbstractModel
{
    /**
     * @var string 防火墙模板ID。可通过 [DescribeFirewallTemplates](https://cloud.tencent.com/document/product/1207/96874) 接口返回值中的 TemplateId	获取。
     */
    public $TemplateId;

    /**
     * @var array 重置后的防火墙模板规则列表。每次请求批量防火墙规则的上限为 100。
     */
    public $TemplateRules;

    /**
     * @param string $TemplateId 防火墙模板ID。可通过 [DescribeFirewallTemplates](https://cloud.tencent.com/document/product/1207/96874) 接口返回值中的 TemplateId	获取。
     * @param array $TemplateRules 重置后的防火墙模板规则列表。每次请求批量防火墙规则的上限为 100。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("TemplateId",$param) and $param["TemplateId"] !== null) {
            $this->TemplateId = $param["TemplateId"];
        }

        if (array_key_exists("TemplateRules",$param) and $param["TemplateRules"] !== null) {
            $this->TemplateRules = [];
            foreach ($param["TemplateRules"] as $key => $value){
                $obj = new FirewallRule();
                $obj->deserialize($value);
                array_push($this->TemplateRules, $obj);
            }
        }
    }
}
