<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Monitor\V20180724\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DeleteAlarmPolicy请求参数结构体
 *
 * @method string getModule() 获取模块名，固定值 monitor
 * @method void setModule(string $Module) 设置模块名，固定值 monitor
 * @method array getPolicyIds() 获取告警策略 ID 列表
 * @method void setPolicyIds(array $PolicyIds) 设置告警策略 ID 列表
 * @method array getPromInsIds() 获取prom的实例id
 * @method void setPromInsIds(array $PromInsIds) 设置prom的实例id
 */
class DeleteAlarmPolicyRequest extends AbstractModel
{
    /**
     * @var string 模块名，固定值 monitor
     */
    public $Module;

    /**
     * @var array 告警策略 ID 列表
     */
    public $PolicyIds;

    /**
     * @var array prom的实例id
     */
    public $PromInsIds;

    /**
     * @param string $Module 模块名，固定值 monitor
     * @param array $PolicyIds 告警策略 ID 列表
     * @param array $PromInsIds prom的实例id
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Module",$param) and $param["Module"] !== null) {
            $this->Module = $param["Module"];
        }

        if (array_key_exists("PolicyIds",$param) and $param["PolicyIds"] !== null) {
            $this->PolicyIds = $param["PolicyIds"];
        }

        if (array_key_exists("PromInsIds",$param) and $param["PromInsIds"] !== null) {
            $this->PromInsIds = $param["PromInsIds"];
        }
    }
}
