<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Mps\V20190612\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 编辑视频的结果文件输出配置。
 *
 * @method string getContainer() 获取封装格式，可选值：mp4、hls、mov、flv、avi。默认是 mp4。
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setContainer(string $Container) 设置封装格式，可选值：mp4、hls、mov、flv、avi。默认是 mp4。
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getType() 获取剪辑模式，可选值：
normal（默认）：精准编辑
fast：快速编辑，处理速度更快但精准度一定程度降低
注意：fast只支持单文件，normal默认输出转码格式是h264
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setType(string $Type) 设置剪辑模式，可选值：
normal（默认）：精准编辑
fast：快速编辑，处理速度更快但精准度一定程度降低
注意：fast只支持单文件，normal默认输出转码格式是h264
注意：此字段可能返回 null，表示取不到有效值。
 */
class EditMediaOutputConfig extends AbstractModel
{
    /**
     * @var string 封装格式，可选值：mp4、hls、mov、flv、avi。默认是 mp4。
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $Container;

    /**
     * @var string 剪辑模式，可选值：
normal（默认）：精准编辑
fast：快速编辑，处理速度更快但精准度一定程度降低
注意：fast只支持单文件，normal默认输出转码格式是h264
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $Type;

    /**
     * @param string $Container 封装格式，可选值：mp4、hls、mov、flv、avi。默认是 mp4。
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $Type 剪辑模式，可选值：
normal（默认）：精准编辑
fast：快速编辑，处理速度更快但精准度一定程度降低
注意：fast只支持单文件，normal默认输出转码格式是h264
注意：此字段可能返回 null，表示取不到有效值。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Container",$param) and $param["Container"] !== null) {
            $this->Container = $param["Container"];
        }

        if (array_key_exists("Type",$param) and $param["Type"] !== null) {
            $this->Type = $param["Type"];
        }
    }
}
