<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Rce\V20201103\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 删除黑白名单数据业务入参
 *
 * @method array getNameListDataIdList() 获取黑白名单数据ID集合
 * @method void setNameListDataIdList(array $NameListDataIdList) 设置黑白名单数据ID集合
 */
class InputDeleteNameListData extends AbstractModel
{
    /**
     * @var array 黑白名单数据ID集合
     */
    public $NameListDataIdList;

    /**
     * @param array $NameListDataIdList 黑白名单数据ID集合
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("NameListDataIdList",$param) and $param["NameListDataIdList"] !== null) {
            $this->NameListDataIdList = $param["NameListDataIdList"];
        }
    }
}
