<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Taf\V20200210\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 业务出参
 *
 * @method string getUserIp() 获取对应的IP
 * @method void setUserIp(string $UserIp) 设置对应的IP
 * @method integer getLevel() 获取返回风险等级, 0 - 4，0代表无风险，数值越大，风险越高
 * @method void setLevel(integer $Level) 设置返回风险等级, 0 - 4，0代表无风险，数值越大，风险越高
 */
class ManagePortraitRiskValueOutput extends AbstractModel
{
    /**
     * @var string 对应的IP
     */
    public $UserIp;

    /**
     * @var integer 返回风险等级, 0 - 4，0代表无风险，数值越大，风险越高
     */
    public $Level;

    /**
     * @param string $UserIp 对应的IP
     * @param integer $Level 返回风险等级, 0 - 4，0代表无风险，数值越大，风险越高
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("UserIp",$param) and $param["UserIp"] !== null) {
            $this->UserIp = $param["UserIp"];
        }

        if (array_key_exists("Level",$param) and $param["Level"] !== null) {
            $this->Level = $param["Level"];
        }
    }
}
