<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tat\V20201028\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeRegisterCodes请求参数结构体
 *
 * @method array getRegisterCodeIds() 获取注册码ID。

每次请求的上限为 100。

参数不支持同时指定 `RegisterCodeIds ` 和 `Filters ` 。
 * @method void setRegisterCodeIds(array $RegisterCodeIds) 设置注册码ID。

每次请求的上限为 100。

参数不支持同时指定 `RegisterCodeIds ` 和 `Filters ` 。
 * @method integer getOffset() 获取偏移量，默认为 0。
 * @method void setOffset(integer $Offset) 设置偏移量，默认为 0。
 * @method integer getLimit() 获取返回数量，默认为 20，最大值为 100。
 * @method void setLimit(integer $Limit) 设置返回数量，默认为 20，最大值为 100。
 */
class DescribeRegisterCodesRequest extends AbstractModel
{
    /**
     * @var array 注册码ID。

每次请求的上限为 100。

参数不支持同时指定 `RegisterCodeIds ` 和 `Filters ` 。
     */
    public $RegisterCodeIds;

    /**
     * @var integer 偏移量，默认为 0。
     */
    public $Offset;

    /**
     * @var integer 返回数量，默认为 20，最大值为 100。
     */
    public $Limit;

    /**
     * @param array $RegisterCodeIds 注册码ID。

每次请求的上限为 100。

参数不支持同时指定 `RegisterCodeIds ` 和 `Filters ` 。
     * @param integer $Offset 偏移量，默认为 0。
     * @param integer $Limit 返回数量，默认为 20，最大值为 100。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("RegisterCodeIds",$param) and $param["RegisterCodeIds"] !== null) {
            $this->RegisterCodeIds = $param["RegisterCodeIds"];
        }

        if (array_key_exists("Offset",$param) and $param["Offset"] !== null) {
            $this->Offset = $param["Offset"];
        }

        if (array_key_exists("Limit",$param) and $param["Limit"] !== null) {
            $this->Limit = $param["Limit"];
        }
    }
}
