<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tcr\V20190924\Models;
use TencentCloud\Common\AbstractModel;

/**
 * vpc私有域名解析状态
 *
 * @method string getRegion() 获取地域
 * @method void setRegion(string $Region) 设置地域
 * @method string getVpcId() 获取unique vpc id
 * @method void setVpcId(string $VpcId) 设置unique vpc id
 * @method string getStatus() 获取ENABLE代表已经开启，DISABLE代表未开启，ERROR代表查询出错
 * @method void setStatus(string $Status) 设置ENABLE代表已经开启，DISABLE代表未开启，ERROR代表查询出错
 */
class VpcPrivateDomainStatus extends AbstractModel
{
    /**
     * @var string 地域
     */
    public $Region;

    /**
     * @var string unique vpc id
     */
    public $VpcId;

    /**
     * @var string ENABLE代表已经开启，DISABLE代表未开启，ERROR代表查询出错
     */
    public $Status;

    /**
     * @param string $Region 地域
     * @param string $VpcId unique vpc id
     * @param string $Status ENABLE代表已经开启，DISABLE代表未开启，ERROR代表查询出错
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Region",$param) and $param["Region"] !== null) {
            $this->Region = $param["Region"];
        }

        if (array_key_exists("VpcId",$param) and $param["VpcId"] !== null) {
            $this->VpcId = $param["VpcId"];
        }

        if (array_key_exists("Status",$param) and $param["Status"] !== null) {
            $this->Status = $param["Status"];
        }
    }
}
