<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Teo\V20220901\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeConfigGroupVersionDetail返回参数结构体
 *
 * @method ConfigGroupVersionInfo getConfigGroupVersionInfo() 获取版本信息。
 * @method void setConfigGroupVersionInfo(ConfigGroupVersionInfo $ConfigGroupVersionInfo) 设置版本信息。
 * @method string getContent() 获取版本文件的内容。以 JSON 格式返回。
 * @method void setContent(string $Content) 设置版本文件的内容。以 JSON 格式返回。
 * @method string getRequestId() 获取唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeConfigGroupVersionDetailResponse extends AbstractModel
{
    /**
     * @var ConfigGroupVersionInfo 版本信息。
     */
    public $ConfigGroupVersionInfo;

    /**
     * @var string 版本文件的内容。以 JSON 格式返回。
     */
    public $Content;

    /**
     * @var string 唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param ConfigGroupVersionInfo $ConfigGroupVersionInfo 版本信息。
     * @param string $Content 版本文件的内容。以 JSON 格式返回。
     * @param string $RequestId 唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("ConfigGroupVersionInfo",$param) and $param["ConfigGroupVersionInfo"] !== null) {
            $this->ConfigGroupVersionInfo = new ConfigGroupVersionInfo();
            $this->ConfigGroupVersionInfo->deserialize($param["ConfigGroupVersionInfo"]);
        }

        if (array_key_exists("Content",$param) and $param["Content"] !== null) {
            $this->Content = $param["Content"];
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
