<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tiw\V20190919\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeTranscode返回参数结构体
 *
 * @method integer getPages() 获取文档的总页数
 * @method void setPages(integer $Pages) 设置文档的总页数
 * @method integer getProgress() 获取转码的当前进度,取值范围为0~100
 * @method void setProgress(integer $Progress) 设置转码的当前进度,取值范围为0~100
 * @method string getResolution() 获取文档的分辨率
 * @method void setResolution(string $Resolution) 设置文档的分辨率
 * @method string getResultUrl() 获取转码完成后结果的URL
动态转码：PPT转动态H5的链接
静态转码：文档每一页的图片URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/`，那么文档第1页的图片URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推
 * @method void setResultUrl(string $ResultUrl) 设置转码完成后结果的URL
动态转码：PPT转动态H5的链接
静态转码：文档每一页的图片URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/`，那么文档第1页的图片URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推
 * @method string getStatus() 获取任务的当前状态
- QUEUED: 正在排队等待转换
- PROCESSING: 转换中
- FINISHED: 转换完成
 * @method void setStatus(string $Status) 设置任务的当前状态
- QUEUED: 正在排队等待转换
- PROCESSING: 转换中
- FINISHED: 转换完成
 * @method string getTaskId() 获取转码任务的唯一标识Id
 * @method void setTaskId(string $TaskId) 设置转码任务的唯一标识Id
 * @method string getTitle() 获取文档的文件名
 * @method void setTitle(string $Title) 设置文档的文件名
 * @method string getThumbnailUrl() 获取缩略图URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/ `，那么动态PPT第1页的缩略图URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推

如果发起文档转码请求参数中带了ThumbnailResolution参数，并且转码类型为动态转码，该参数不为空，其余情况该参数为空字符串
 * @method void setThumbnailUrl(string $ThumbnailUrl) 设置缩略图URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/ `，那么动态PPT第1页的缩略图URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推

如果发起文档转码请求参数中带了ThumbnailResolution参数，并且转码类型为动态转码，该参数不为空，其余情况该参数为空字符串
 * @method string getThumbnailResolution() 获取动态转码缩略图生成分辨率
 * @method void setThumbnailResolution(string $ThumbnailResolution) 设置动态转码缩略图生成分辨率
 * @method string getCompressFileUrl() 获取转码压缩文件下载的URL，如果发起文档转码请求参数中`CompressFileType`为空或者不是支持的压缩格式，该参数为空字符串
 * @method void setCompressFileUrl(string $CompressFileUrl) 设置转码压缩文件下载的URL，如果发起文档转码请求参数中`CompressFileType`为空或者不是支持的压缩格式，该参数为空字符串
 * @method string getResourceListUrl() 获取资源清单文件下载URL(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setResourceListUrl(string $ResourceListUrl) 设置资源清单文件下载URL(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getExt() 获取文档制作方式(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setExt(string $Ext) 设置文档制作方式(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
 * @method integer getCreateTime() 获取文档转码任务创建时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setCreateTime(integer $CreateTime) 设置文档转码任务创建时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
 * @method integer getAssignTime() 获取文档转码任务分配时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setAssignTime(integer $AssignTime) 设置文档转码任务分配时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
 * @method integer getFinishedTime() 获取文档转码任务完成时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setFinishedTime(integer $FinishedTime) 设置文档转码任务完成时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getRequestId() 获取唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeTranscodeResponse extends AbstractModel
{
    /**
     * @var integer 文档的总页数
     */
    public $Pages;

    /**
     * @var integer 转码的当前进度,取值范围为0~100
     */
    public $Progress;

    /**
     * @var string 文档的分辨率
     */
    public $Resolution;

    /**
     * @var string 转码完成后结果的URL
动态转码：PPT转动态H5的链接
静态转码：文档每一页的图片URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/`，那么文档第1页的图片URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推
     */
    public $ResultUrl;

    /**
     * @var string 任务的当前状态
- QUEUED: 正在排队等待转换
- PROCESSING: 转换中
- FINISHED: 转换完成
     */
    public $Status;

    /**
     * @var string 转码任务的唯一标识Id
     */
    public $TaskId;

    /**
     * @var string 文档的文件名
     */
    public $Title;

    /**
     * @var string 缩略图URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/ `，那么动态PPT第1页的缩略图URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推

如果发起文档转码请求参数中带了ThumbnailResolution参数，并且转码类型为动态转码，该参数不为空，其余情况该参数为空字符串
     */
    public $ThumbnailUrl;

    /**
     * @var string 动态转码缩略图生成分辨率
     */
    public $ThumbnailResolution;

    /**
     * @var string 转码压缩文件下载的URL，如果发起文档转码请求参数中`CompressFileType`为空或者不是支持的压缩格式，该参数为空字符串
     */
    public $CompressFileUrl;

    /**
     * @var string 资源清单文件下载URL(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $ResourceListUrl;

    /**
     * @var string 文档制作方式(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $Ext;

    /**
     * @var integer 文档转码任务创建时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $CreateTime;

    /**
     * @var integer 文档转码任务分配时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $AssignTime;

    /**
     * @var integer 文档转码任务完成时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $FinishedTime;

    /**
     * @var string 唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param integer $Pages 文档的总页数
     * @param integer $Progress 转码的当前进度,取值范围为0~100
     * @param string $Resolution 文档的分辨率
     * @param string $ResultUrl 转码完成后结果的URL
动态转码：PPT转动态H5的链接
静态转码：文档每一页的图片URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/`，那么文档第1页的图片URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推
     * @param string $Status 任务的当前状态
- QUEUED: 正在排队等待转换
- PROCESSING: 转换中
- FINISHED: 转换完成
     * @param string $TaskId 转码任务的唯一标识Id
     * @param string $Title 文档的文件名
     * @param string $ThumbnailUrl 缩略图URL前缀，比如，该URL前缀为`http://example.com/g0jb42ps49vtebjshilb/ `，那么动态PPT第1页的缩略图URL为
`http://example.com/g0jb42ps49vtebjshilb/1.jpg`，其它页以此类推

如果发起文档转码请求参数中带了ThumbnailResolution参数，并且转码类型为动态转码，该参数不为空，其余情况该参数为空字符串
     * @param string $ThumbnailResolution 动态转码缩略图生成分辨率
     * @param string $CompressFileUrl 转码压缩文件下载的URL，如果发起文档转码请求参数中`CompressFileType`为空或者不是支持的压缩格式，该参数为空字符串
     * @param string $ResourceListUrl 资源清单文件下载URL(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $Ext 文档制作方式(内测体验)
注意：此字段可能返回 null，表示取不到有效值。
     * @param integer $CreateTime 文档转码任务创建时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
     * @param integer $AssignTime 文档转码任务分配时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
     * @param integer $FinishedTime 文档转码任务完成时间，单位s
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $RequestId 唯一请求 ID，由服务端生成，每次请求都会返回（若请求因其他原因未能抵达服务端，则该次请求不会获得 RequestId）。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Pages",$param) and $param["Pages"] !== null) {
            $this->Pages = $param["Pages"];
        }

        if (array_key_exists("Progress",$param) and $param["Progress"] !== null) {
            $this->Progress = $param["Progress"];
        }

        if (array_key_exists("Resolution",$param) and $param["Resolution"] !== null) {
            $this->Resolution = $param["Resolution"];
        }

        if (array_key_exists("ResultUrl",$param) and $param["ResultUrl"] !== null) {
            $this->ResultUrl = $param["ResultUrl"];
        }

        if (array_key_exists("Status",$param) and $param["Status"] !== null) {
            $this->Status = $param["Status"];
        }

        if (array_key_exists("TaskId",$param) and $param["TaskId"] !== null) {
            $this->TaskId = $param["TaskId"];
        }

        if (array_key_exists("Title",$param) and $param["Title"] !== null) {
            $this->Title = $param["Title"];
        }

        if (array_key_exists("ThumbnailUrl",$param) and $param["ThumbnailUrl"] !== null) {
            $this->ThumbnailUrl = $param["ThumbnailUrl"];
        }

        if (array_key_exists("ThumbnailResolution",$param) and $param["ThumbnailResolution"] !== null) {
            $this->ThumbnailResolution = $param["ThumbnailResolution"];
        }

        if (array_key_exists("CompressFileUrl",$param) and $param["CompressFileUrl"] !== null) {
            $this->CompressFileUrl = $param["CompressFileUrl"];
        }

        if (array_key_exists("ResourceListUrl",$param) and $param["ResourceListUrl"] !== null) {
            $this->ResourceListUrl = $param["ResourceListUrl"];
        }

        if (array_key_exists("Ext",$param) and $param["Ext"] !== null) {
            $this->Ext = $param["Ext"];
        }

        if (array_key_exists("CreateTime",$param) and $param["CreateTime"] !== null) {
            $this->CreateTime = $param["CreateTime"];
        }

        if (array_key_exists("AssignTime",$param) and $param["AssignTime"] !== null) {
            $this->AssignTime = $param["AssignTime"];
        }

        if (array_key_exists("FinishedTime",$param) and $param["FinishedTime"] !== null) {
            $this->FinishedTime = $param["FinishedTime"];
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
