<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Trtc\V20190722\Models;
use TencentCloud\Common\AbstractModel;

/**
 * Mcu转推录制，点播相关参数。
 *
 * @method McuTencentVod getMcuTencentVod() 获取腾讯云点播相关参数。	
 * @method void setMcuTencentVod(McuTencentVod $McuTencentVod) 设置腾讯云点播相关参数。	
 */
class McuCloudVod extends AbstractModel
{
    /**
     * @var McuTencentVod 腾讯云点播相关参数。	
     */
    public $McuTencentVod;

    /**
     * @param McuTencentVod $McuTencentVod 腾讯云点播相关参数。	
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("McuTencentVod",$param) and $param["McuTencentVod"] !== null) {
            $this->McuTencentVod = new McuTencentVod();
            $this->McuTencentVod->deserialize($param["McuTencentVod"]);
        }
    }
}
