<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tse\V20201207\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 创建云原生API网关响应结果。
 *
 * @method string getGatewayId() 获取云原生API网关ID。
 * @method void setGatewayId(string $GatewayId) 设置云原生API网关ID。
 * @method string getStatus() 获取云原生网关状态。
 * @method void setStatus(string $Status) 设置云原生网关状态。
 * @method string getTaskId() 获取任务ID
 * @method void setTaskId(string $TaskId) 设置任务ID
 */
class CreateCloudNativeAPIGatewayResult extends AbstractModel
{
    /**
     * @var string 云原生API网关ID。
     */
    public $GatewayId;

    /**
     * @var string 云原生网关状态。
     */
    public $Status;

    /**
     * @var string 任务ID
     */
    public $TaskId;

    /**
     * @param string $GatewayId 云原生API网关ID。
     * @param string $Status 云原生网关状态。
     * @param string $TaskId 任务ID
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("GatewayId",$param) and $param["GatewayId"] !== null) {
            $this->GatewayId = $param["GatewayId"];
        }

        if (array_key_exists("Status",$param) and $param["Status"] !== null) {
            $this->Status = $param["Status"];
        }

        if (array_key_exists("TaskId",$param) and $param["TaskId"] !== null) {
            $this->TaskId = $param["TaskId"];
        }
    }
}
