<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tse\V20201207\Models;
use TencentCloud\Common\AbstractModel;

/**
 * RollbackConfigFileReleases请求参数结构体
 *
 * @method string getInstanceId() 获取TSE实例id
 * @method void setInstanceId(string $InstanceId) 设置TSE实例id
 * @method array getRollbackConfigFileReleases() 获取回滚发布
 * @method void setRollbackConfigFileReleases(array $RollbackConfigFileReleases) 设置回滚发布
 */
class RollbackConfigFileReleasesRequest extends AbstractModel
{
    /**
     * @var string TSE实例id
     */
    public $InstanceId;

    /**
     * @var array 回滚发布
     */
    public $RollbackConfigFileReleases;

    /**
     * @param string $InstanceId TSE实例id
     * @param array $RollbackConfigFileReleases 回滚发布
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("InstanceId",$param) and $param["InstanceId"] !== null) {
            $this->InstanceId = $param["InstanceId"];
        }

        if (array_key_exists("RollbackConfigFileReleases",$param) and $param["RollbackConfigFileReleases"] !== null) {
            $this->RollbackConfigFileReleases = [];
            foreach ($param["RollbackConfigFileReleases"] as $key => $value){
                $obj = new ConfigFileRelease();
                $obj->deserialize($value);
                array_push($this->RollbackConfigFileReleases, $obj);
            }
        }
    }
}
