<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Vm\V20210922\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 图片段信息
 *
 * @method string getOffsetTime() 获取截帧时间。
点播文件：该值为相对于视频偏移时间，单位为秒，例如：0，5，10
直播流：该值为时间戳，例如：1594650717
 * @method void setOffsetTime(string $OffsetTime) 设置截帧时间。
点播文件：该值为相对于视频偏移时间，单位为秒，例如：0，5，10
直播流：该值为时间戳，例如：1594650717
 * @method ImageResult getResult() 获取画面截帧结果详情
 * @method void setResult(ImageResult $Result) 设置画面截帧结果详情
 * @method string getCreatedAt() 获取时间
 * @method void setCreatedAt(string $CreatedAt) 设置时间
 * @method string getOffsetusTime() 获取截帧毫秒时间
 * @method void setOffsetusTime(string $OffsetusTime) 设置截帧毫秒时间
 */
class ImageSegments extends AbstractModel
{
    /**
     * @var string 截帧时间。
点播文件：该值为相对于视频偏移时间，单位为秒，例如：0，5，10
直播流：该值为时间戳，例如：1594650717
     */
    public $OffsetTime;

    /**
     * @var ImageResult 画面截帧结果详情
     */
    public $Result;

    /**
     * @var string 时间
     */
    public $CreatedAt;

    /**
     * @var string 截帧毫秒时间
     */
    public $OffsetusTime;

    /**
     * @param string $OffsetTime 截帧时间。
点播文件：该值为相对于视频偏移时间，单位为秒，例如：0，5，10
直播流：该值为时间戳，例如：1594650717
     * @param ImageResult $Result 画面截帧结果详情
     * @param string $CreatedAt 时间
     * @param string $OffsetusTime 截帧毫秒时间
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("OffsetTime",$param) and $param["OffsetTime"] !== null) {
            $this->OffsetTime = $param["OffsetTime"];
        }

        if (array_key_exists("Result",$param) and $param["Result"] !== null) {
            $this->Result = new ImageResult();
            $this->Result->deserialize($param["Result"]);
        }

        if (array_key_exists("CreatedAt",$param) and $param["CreatedAt"] !== null) {
            $this->CreatedAt = $param["CreatedAt"];
        }

        if (array_key_exists("OffsetusTime",$param) and $param["OffsetusTime"] !== null) {
            $this->OffsetusTime = $param["OffsetusTime"];
        }
    }
}
