<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Vpc\V20170312\Models;
use TencentCloud\Common\AbstractModel;

/**
 * CreateCcnRouteTables请求参数结构体
 *
 * @method array getRouteTable() 获取需要创建的路由表列表。
 * @method void setRouteTable(array $RouteTable) 设置需要创建的路由表列表。
 */
class CreateCcnRouteTablesRequest extends AbstractModel
{
    /**
     * @var array 需要创建的路由表列表。
     */
    public $RouteTable;

    /**
     * @param array $RouteTable 需要创建的路由表列表。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("RouteTable",$param) and $param["RouteTable"] !== null) {
            $this->RouteTable = [];
            foreach ($param["RouteTable"] as $key => $value){
                $obj = new CcnBatchRouteTable();
                $obj->deserialize($value);
                array_push($this->RouteTable, $obj);
            }
        }
    }
}
