<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Waf\V20180125\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DeleteSpartaProtection请求参数结构体
 *
 * @method array getDomains() 获取域名列表
 * @method void setDomains(array $Domains) 设置域名列表
 * @method string getEdition() 获取实例类型
 * @method void setEdition(string $Edition) 设置实例类型
 * @method string getInstanceID() 获取必填项。域名所属实例ID
 * @method void setInstanceID(string $InstanceID) 设置必填项。域名所属实例ID
 */
class DeleteSpartaProtectionRequest extends AbstractModel
{
    /**
     * @var array 域名列表
     */
    public $Domains;

    /**
     * @var string 实例类型
     */
    public $Edition;

    /**
     * @var string 必填项。域名所属实例ID
     */
    public $InstanceID;

    /**
     * @param array $Domains 域名列表
     * @param string $Edition 实例类型
     * @param string $InstanceID 必填项。域名所属实例ID
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Domains",$param) and $param["Domains"] !== null) {
            $this->Domains = $param["Domains"];
        }

        if (array_key_exists("Edition",$param) and $param["Edition"] !== null) {
            $this->Edition = $param["Edition"];
        }

        if (array_key_exists("InstanceID",$param) and $param["InstanceID"] !== null) {
            $this->InstanceID = $param["InstanceID"];
        }
    }
}
