<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Wedata\V20210820\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 对比规则
 *
 * @method array getItems() 获取比较条件列表
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setItems(array $Items) 设置比较条件列表
注意：此字段可能返回 null，表示取不到有效值。
 * @method integer getCycleStep() 获取周期性模板默认周期，单位秒
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setCycleStep(integer $CycleStep) 设置周期性模板默认周期，单位秒
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getComputeExpression() 获取o 表示 或，a 表示 且，数字表示items下标
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setComputeExpression(string $ComputeExpression) 设置o 表示 或，a 表示 且，数字表示items下标
注意：此字段可能返回 null，表示取不到有效值。
 */
class CompareRule extends AbstractModel
{
    /**
     * @var array 比较条件列表
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $Items;

    /**
     * @var integer 周期性模板默认周期，单位秒
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $CycleStep;

    /**
     * @var string o 表示 或，a 表示 且，数字表示items下标
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $ComputeExpression;

    /**
     * @param array $Items 比较条件列表
注意：此字段可能返回 null，表示取不到有效值。
     * @param integer $CycleStep 周期性模板默认周期，单位秒
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $ComputeExpression o 表示 或，a 表示 且，数字表示items下标
注意：此字段可能返回 null，表示取不到有效值。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Items",$param) and $param["Items"] !== null) {
            $this->Items = [];
            foreach ($param["Items"] as $key => $value){
                $obj = new CompareRuleItem();
                $obj->deserialize($value);
                array_push($this->Items, $obj);
            }
        }

        if (array_key_exists("CycleStep",$param) and $param["CycleStep"] !== null) {
            $this->CycleStep = $param["CycleStep"];
        }

        if (array_key_exists("ComputeExpression",$param) and $param["ComputeExpression"] !== null) {
            $this->ComputeExpression = $param["ComputeExpression"];
        }
    }
}
